Page MenuHomePhabricator

Make a personal dashboard/backlog for all my tasks
Closed, ResolvedPublic

Description

Criteria:

  • All of my WMF work is tracked in one place
    • Project exists
      • Check with Andre and/or Chase and/or Mukunda about other issues
      • see about T555 issues if any
    • Process to create project documented
    • all extant tasks include
    • all open tasks in columns
    • all closed tasks in columns
  • evaluated as replacement for personal work tracking (post-its, spreadsheet, to-do app, etc)
    • evaluate for ~1 month
    • document issues
      • emergent issues
      • issues and open questions from previous discussion

Notes

Problems foreseen:

  • things too small to go on the board/be public
  • things that are too sensitive to be public
  • spam issue
  • possible issues with private project
    • an account with project creation power can't easily make a private project for somebody else
    • If a task from project A is added to private project X, subscribers get a confusing notification

Event Timeline

JAufrecht claimed this task.
JAufrecht raised the priority of this task from to Needs Triage.
JAufrecht updated the task description. (Show Details)
JAufrecht added a project: Team-Practices.
JAufrecht added a subscriber: JAufrecht.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2015, 6:02 PM
JAufrecht triaged this task as Normal priority.Oct 21 2015, 6:13 PM
JAufrecht updated the task description. (Show Details)
JAufrecht edited projects, added Team-Practices (This-Week); removed Team-Practices.
JAufrecht set Security to None.

A private project? What?

By private I mean a project with "Restricting Visible To" equal to one person. See https://phabricator.wikimedia.org/T555#1743489.

With the assumption that will cause all of the associated tasks to be private to you?

Right. But I think we should default to all public, as per the policy, and see if that doesn't work for anybody. So no need even to test that assumption of privacy.

Yes, all of our projects are public, per policy, you cannot have a private project, only private tasks. Putting tasks in a private project will not make them private.

Andre, is https://phabricator.wikimedia.org/T116203#1745204 in response to Krenair, or to this task overall?

This task is for a public project for my personal (WMF) use, containing public tasks. T555: Per-user projects for personal work in progress tracking has extended discussion and no firm consensus for or against; IRC discussion summarized here did not raise objections to piloting as many as a dozen more personal projects but people wanted to get your opinion as well before proceeding. What is your opinion?

(I'm not sure if the last comment was for anybody or for me.)

To genreally avoid misunderstandings: "personal" = stuff I (and maybe only I) care about. "private" = stuff that's not visible to everybody.

My previous overall comment pointed to documentation on Phabricator concepts when it comes to handling "private" stuff, as the term "private" was brought up in this task and as I've seen misexpectations in several places about restriction of access to items in Phabricator.

When it comes to my opinion I'll comment in T555.

JAufrecht updated the task description. (Show Details)Nov 3 2015, 9:37 PM
JAufrecht updated the task description. (Show Details)
JAufrecht moved this task from Incoming to TPG on the User-JAufrecht board.Nov 3 2015, 9:53 PM
JAufrecht closed this task as Resolved.Nov 5 2015, 10:16 PM